# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /src/buildscripts/condarecipe.local, last modified Fri Sep  2 04:10:06 2022
# ------------------------------------------------

package:
  name: numba
  version: 0.56.2
source:
  path: /src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
    - pycc = numba.pycc:main
  ignore_run_exports: null
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np1.11py3.7h77ed09d_gd6731f6d2_0
requirements:
  build: []
  host:
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2022.6.15 h4fd8a4c_0
    - importlib-metadata 4.11.4 py37hd9ded2f_0
    - importlib_metadata 4.11.4 hd8ed1ab_0
    - ld_impl_linux-aarch64 2.36.1 h02ad14f_2
    - libblas 3.9.0 16_linuxaarch64_openblas
    - libcblas 3.9.0 16_linuxaarch64_openblas
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 12.1.0 h3242a24_16
    - libgfortran-ng 12.1.0 he9431aa_16
    - libgfortran5 12.1.0 h41d5c85_16
    - libgomp 12.1.0 h3242a24_16
    - liblapack 3.9.0 16_linuxaarch64_openblas
    - libnsl 2.0.0 hf897c2e_0
    - libopenblas 0.3.21 pthreads_h6cb6f83_3
    - libsqlite 3.39.2 hf9034f9_1
    - libstdcxx-ng 12.1.0 hd01590b_16
    - libzlib 1.2.12 h4e544f5_2
    - llvmlite 0.39.0 py37h4bdb740_0
    - ncurses 6.3 headf329_1
    - numpy 1.11.3 py37h6bd720b_1207
    - openssl 3.0.5 h4e544f5_1
    - pip 22.2.2 pyhd8ed1ab_0
    - python 3.7.12 h47f6e27_100_cpython
    - python_abi 3.7 2_cp37m
    - readline 8.1.2 h38e3740_0
    - setuptools 59.8.0 py37hfd236b0_1
    - sqlite 3.39.2 h69ca7e5_1
    - tk 8.6.12 hd8af866_0
    - typing_extensions 4.3.0 pyha770c72_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
    - zipp 3.8.1 pyhd8ed1ab_0
  run:
    - importlib_metadata
    - llvmlite 0.39.*
    - numpy >=1.18, !=1.22.0, !=1.22.1, !=1.22.2, <1.24
    - python >=3.7,<3.8.0a0
    - python_abi 3.7.* *_cp37m
    - setuptools <60
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - scipy >=1.0
test:
  requires:
    - cffi
    - ipykernel
    - jinja2
    - scipy
    - setuptools <60
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
